Security Notice: Limit Internet Explorer Usage

Due to the severity of the latest Internet Explorer and Adobe Flash vulnerabilities that are actively being exploited on the Internet, ITS recommends that Windows users use Internet Explorer for LMU websites only. To protect yourself from these vulnerabilities, users should use the latest versions of Firefox or Chrome for any non-LMU websites until the Internet Explorer vulnerability can be fixed. Further updates will be published here.

Users who need to use Internet Explorer for non-LMU websites are advised to turn off Adobe Flash in Internet Explorer. This can be accomplished by opening Internet Explorer, going to the “Tools” menu and choosing “Manage Add-Ons.” Ensure the Show drop-down menu is set to “All add-ons.” Click on “Shockwave Flash Object,” and choose the “Disable” button in the lower right corner of the window. Once disabled, click on the “Close” button.

If you need assistance with downloading a new browser, such as Firefox or Chrome, or with turning off Adobe Flash, please contact the Technology Help Desk at 310-338-7777 or helpdesk@lmu.edu.

Leave a Reply

Your email address will not be published. Required fields are marked *